summaryrefslogtreecommitdiff
path: root/nonsystemd/avahi-openrc/avahi-dnsconfd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/avahi-openrc/avahi-dnsconfd.initd')
-rw-r--r--nonsystemd/avahi-openrc/avahi-dnsconfd.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/nonsystemd/avahi-openrc/avahi-dnsconfd.initd b/nonsystemd/avahi-openrc/avahi-dnsconfd.initd
new file mode 100644
index 000000000..6f86c6da0
--- /dev/null
+++ b/nonsystemd/avahi-openrc/avahi-dnsconfd.initd
@@ -0,0 +1,30 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+supervisor="supervise-daemon"
+command="/usr/bin/avahi-dnsconfd"
+
+depend() {
+ need avahi-daemon
+ use net
+}
+
+# start() {
+# ebegin "Starting avahi-dnsconfd"
+# /usr/bin/avahi-dnsconfd -D
+# eend $?
+# }
+#
+# stop() {
+# ebegin "Stopping avahi-dnsconfd"
+# /usr/bin/avahi-dnsconfd -k
+# eend $?
+# }
+
+reload() {
+ ebegin "Reloading avahi-dnsconfd"
+ ${command} -r
+ eend $?
+}